# Created by pyp2rpm-1.0.1
%global pypi_name fudgemsg
%global with_python3 0

Name:           python-fudgemsg
Version:        0.1.1
Release:        %mkrel 6
Group:          Development/Python
Summary:        Fudge is a hierarchical, typesafe, binary, self-describing message encoding system

License:        APL2
URL:            http://www.fudgemsg.org/display/FDG/Fudge+Messaging+Home
Source0:        https://pypi.python.org/packages/source/f/fudgemsg/fudgemsg-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-nose
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-nose
%endif # if with_python3

%description
This is a native python implementation of the Fudge messaging system.

Fudge is a hierarchical, typesafe, binary, self-describing message
encoding system.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        Fudge is a hierarchical, typesafe, binary, self-describing message encoding system


%description -n python3-%{pypi_name}
This is a native python implementation of the Fudge messaging system.

Fudge is a hierarchical, typesafe, binary, self-describing message
encoding system.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.md LICENSE
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.md LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.1.1-6.mga6
+ Revision: 943935
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 744299
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.1-4.mga5
+ Revision: 728533
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-3.mga5
+ Revision: 688039
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 07 2014 joequant <joequant> 0.1.1-1.mga5
+ Revision: 585411
- imported package python-fudgemsg

